# Category-learning_mPFC

This repository contains the data supporting the results in the study ‘Mouse prefrontal cortex represents learned rules for categorization’.
doi/link

In each folder are the data of all mice in that respective experiment. Mice in the folder ‘Rule-switch experiment’ were trained on two rules for categorization sequentially (Fig. 1-3), mice in the folder ‘Task-change experiment’ performed a change in task design from ‘go’/’nogo’ to left/right (Fig. 4).

**Rule-switch experiment:**
Per mouse, one MATLAB file ‘Mousename.mat’ consists of the following fields for every time point of two-photon imaging (7 time points for M01 and M02, 8 time points for all others): 

•	Trials X 1 -> Sequence of Category ID of presented stimuli (1: Category 1, non-rewarded, 2: Category 2, rewarded)

•	Trials X 1 -> Sequence of Stimulus ID of presented stimuli (1-36: individual stimuli)

•	Trials X 1 -> Sequence of Stimulus spatial frequency of presented stimuli

•	Trials X 1 -> Sequence of Stimulus orientation of presented stimuli

•	Trials X 1 ->  Mouse Choice (1: ‘go’ response, 0: ‘nogo’ response)

•	Trials X 1 -> Reward (1: rewarded trial, 0: no reward given)

•	Trials X 1 -> Mean running speed of the mouse [cm/s]

•	Trials X cells -> Mean inferred spike rate during stimulus presentation

•	Cells X 1 -> CTI, calculated based on mean inferred spike rate during stimulus presentation, applying the active rule (only for T1, T5 and T8)

•	Cells X 1 -> CTI orthogonal, calculated based on mean inferred spike rate during stimulus presentation, applying the inactive rule (only for T1, T5 and T8)

•	Cells X 1 -> Performance of Bayesian decoder predicting category identity trial-by-trial (only for T1 and T5)

•	Active rule (SF: spatial frequency, ORI: orientation)



**Task-change experiment:**
Per mouse, one MATLAB file ‘Mousename.mat’ consists of the following fields for the two time points of two-photon imaging (T5 and L/R):

•	Trials X 1 -> Sequence of Category ID of presented stimuli (1: Category 1, 2: Category 2)

•	Trials X 1 -> Sequence of Stimulus ID of presented stimuli (1-36: individual stimuli)

•	Trials X 1 ->  Mouse Choice (T5 -> 1: ‘go’ response, 0: ‘nogo’ response, L/R -> 2: ‘go right’, 1:’go left’, 0: ‘nogo’)

•	Trials X 1 -> Reward (1: rewarded trial, 0: no reward given)

•	Trials X 1 ->  Mouse ‘go right’ (T5 -> 0, L/R -> 1: ‘go right’, 0:’go left’ or ‘nogo’)

•	Trials X 1 ->  Mouse ‘go left’ (T5 -> 0, L/R -> 1: ‘go left’, 0:’go right’ or ‘nogo’)

•	Mouse body and eye parameter names

•	Trials X 7 -> Mean mouse body and eye parameters during stimulus presentation, extracted with DLC

•	Trials X cells -> Mean inferred spike rate during stimulus presentation

•	Cells X 1 -> CTI, calculated based on mean inferred spike rate during stimulus presentation, applying the active rule 

•	Cells X 1 -> CTI orthogonal, calculated based on mean inferred spike rate during stimulus presentation, applying the inactive rule 

•	Active rule (SF: spatial frequency, ORI: orientation)
